Loading...
Searching...
No Matches
ladspa.h File Reference

Go to the source code of this file.

## Classes

struct | _LADSPA_PortRangeHint
struct | _LADSPA_Descriptor

## Macros

#define | LADSPA_VERSION "1.1"
#define | LADSPA_VERSION_MAJOR 1
#define | LADSPA_VERSION_MINOR 1
#define | LADSPA_PROPERTY_REALTIME 0x1
#define | LADSPA_PROPERTY_INPLACE_BROKEN 0x2
#define | LADSPA_PROPERTY_HARD_RT_CAPABLE 0x4
#define | LADSPA_IS_REALTIME(x)
#define | LADSPA_IS_INPLACE_BROKEN(x)
#define | LADSPA_IS_HARD_RT_CAPABLE(x)
#define | LADSPA_PORT_INPUT 0x1
#define | LADSPA_PORT_OUTPUT 0x2
#define | LADSPA_PORT_CONTROL 0x4
#define | LADSPA_PORT_AUDIO 0x8
#define | LADSPA_IS_PORT_INPUT(x)
#define | LADSPA_IS_PORT_OUTPUT(x)
#define | LADSPA_IS_PORT_CONTROL(x)
#define | LADSPA_IS_PORT_AUDIO(x)
#define | LADSPA_HINT_BOUNDED_BELOW 0x1
#define | LADSPA_HINT_BOUNDED_ABOVE 0x2
#define | LADSPA_HINT_TOGGLED 0x4
#define | LADSPA_HINT_SAMPLE_RATE 0x8
#define | LADSPA_HINT_LOGARITHMIC 0x10
#define | LADSPA_HINT_INTEGER 0x20
#define | LADSPA_HINT_DEFAULT_MASK 0x3C0
#define | LADSPA_HINT_DEFAULT_NONE 0x0
#define | LADSPA_HINT_DEFAULT_MINIMUM 0x40
#define | LADSPA_HINT_DEFAULT_LOW 0x80
#define | LADSPA_HINT_DEFAULT_MIDDLE 0xC0
#define | LADSPA_HINT_DEFAULT_HIGH 0x100
#define | LADSPA_HINT_DEFAULT_MAXIMUM 0x140
#define | LADSPA_HINT_DEFAULT_0 0x200
#define | LADSPA_HINT_DEFAULT_1 0x240
#define | LADSPA_HINT_DEFAULT_100 0x280
#define | LADSPA_HINT_DEFAULT_440 0x2C0
#define | LADSPA_IS_HINT_BOUNDED_BELOW(x)
#define | LADSPA_IS_HINT_BOUNDED_ABOVE(x)
#define | LADSPA_IS_HINT_TOGGLED(x)
#define | LADSPA_IS_HINT_SAMPLE_RATE(x)
#define | LADSPA_IS_HINT_LOGARITHMIC(x)
#define | LADSPA_IS_HINT_INTEGER(x)
#define | LADSPA_IS_HINT_HAS_DEFAULT(x)
#define | LADSPA_IS_HINT_DEFAULT_MINIMUM(x)
#define | LADSPA_IS_HINT_DEFAULT_LOW(x)
#define | LADSPA_IS_HINT_DEFAULT_MIDDLE(x)
#define | LADSPA_IS_HINT_DEFAULT_HIGH(x)
#define | LADSPA_IS_HINT_DEFAULT_MAXIMUM(x)
#define | LADSPA_IS_HINT_DEFAULT_0(x)
#define | LADSPA_IS_HINT_DEFAULT_1(x)
#define | LADSPA_IS_HINT_DEFAULT_100(x)
#define | LADSPA_IS_HINT_DEFAULT_440(x)

## Typedefs

typedef float | LADSPA_Data
typedef int | LADSPA_Properties
typedef int | LADSPA_PortDescriptor
typedef int | LADSPA_PortRangeHintDescriptor
typedef struct _LADSPA_PortRangeHint | LADSPA_PortRangeHint
typedef void * | LADSPA_Handle
typedef struct _LADSPA_Descriptor | LADSPA_Descriptor
typedef const LADSPA_Descriptor *(* | LADSPA_Descriptor_Function) (unsigned long Index)

## Functions

const LADSPA_Descriptor * | ladspa_descriptor (unsigned long Index)

## Macro Definition Documentation

## LADSPA_HINT_BOUNDED_ABOVE

#define LADSPA_HINT_BOUNDED_ABOVE 0x2

Definition at line 216 of file ladspa.h.

## LADSPA_HINT_BOUNDED_BELOW

#define LADSPA_HINT_BOUNDED_BELOW 0x1

Definition at line 208 of file ladspa.h.

## LADSPA_HINT_DEFAULT_0

#define LADSPA_HINT_DEFAULT_0 0x200

Definition at line 295 of file ladspa.h.

## LADSPA_HINT_DEFAULT_1

#define LADSPA_HINT_DEFAULT_1 0x240

Definition at line 300 of file ladspa.h.

## LADSPA_HINT_DEFAULT_100

#define LADSPA_HINT_DEFAULT_100 0x280

Definition at line 303 of file ladspa.h.

## LADSPA_HINT_DEFAULT_440

#define LADSPA_HINT_DEFAULT_440 0x2C0

Definition at line 308 of file ladspa.h.

## LADSPA_HINT_DEFAULT_HIGH

#define LADSPA_HINT_DEFAULT_HIGH 0x100

Definition at line 286 of file ladspa.h.

## LADSPA_HINT_DEFAULT_LOW

#define LADSPA_HINT_DEFAULT_LOW 0x80

Definition at line 272 of file ladspa.h.

## LADSPA_HINT_DEFAULT_MASK

#define LADSPA_HINT_DEFAULT_MASK 0x3C0

Definition at line 258 of file ladspa.h.

## LADSPA_HINT_DEFAULT_MAXIMUM

#define LADSPA_HINT_DEFAULT_MAXIMUM 0x140

Definition at line 290 of file ladspa.h.

## LADSPA_HINT_DEFAULT_MIDDLE

#define LADSPA_HINT_DEFAULT_MIDDLE 0xC0

Definition at line 279 of file ladspa.h.

## LADSPA_HINT_DEFAULT_MINIMUM

#define LADSPA_HINT_DEFAULT_MINIMUM 0x40

Definition at line 265 of file ladspa.h.

## LADSPA_HINT_DEFAULT_NONE

#define LADSPA_HINT_DEFAULT_NONE 0x0

Definition at line 261 of file ladspa.h.

## LADSPA_HINT_INTEGER

#define LADSPA_HINT_INTEGER 0x20

Definition at line 245 of file ladspa.h.

## LADSPA_HINT_LOGARITHMIC

#define LADSPA_HINT_LOGARITHMIC 0x10

Definition at line 237 of file ladspa.h.

## LADSPA_HINT_SAMPLE_RATE

#define LADSPA_HINT_SAMPLE_RATE 0x8

Definition at line 232 of file ladspa.h.

## LADSPA_HINT_TOGGLED

#define LADSPA_HINT_TOGGLED 0x4

Definition at line 224 of file ladspa.h.

## LADSPA_IS_HARD_RT_CAPABLE

#define LADSPA_IS_HARD_RT_CAPABLE | ( |  | x | ) |

Value:
((x) & LADSPA_PROPERTY_HARD_RT_CAPABLE)
LADSPA_PROPERTY_HARD_RT_CAPABLE
#define LADSPA_PROPERTY_HARD_RT_CAPABLE
Definition ladspa.h:132

Definition at line 136 of file ladspa.h.

## LADSPA_IS_HINT_BOUNDED_ABOVE

#define LADSPA_IS_HINT_BOUNDED_ABOVE | ( |  | x | ) |

Value:
((x) & LADSPA_HINT_BOUNDED_ABOVE)
LADSPA_HINT_BOUNDED_ABOVE
#define LADSPA_HINT_BOUNDED_ABOVE
Definition ladspa.h:216

Definition at line 311 of file ladspa.h.

## LADSPA_IS_HINT_BOUNDED_BELOW

#define LADSPA_IS_HINT_BOUNDED_BELOW | ( |  | x | ) |

Value:
((x) & LADSPA_HINT_BOUNDED_BELOW)
LADSPA_HINT_BOUNDED_BELOW
#define LADSPA_HINT_BOUNDED_BELOW
Definition ladspa.h:208

Definition at line 310 of file ladspa.h.

## LADSPA_IS_HINT_DEFAULT_0

#define LADSPA_IS_HINT_DEFAULT_0 | ( |  | x | ) |

Value:
(((x) & LADSPA_HINT_DEFAULT_MASK) \
== LADSPA_HINT_DEFAULT_0)
LADSPA_HINT_DEFAULT_0
#define LADSPA_HINT_DEFAULT_0
Definition ladspa.h:295
LADSPA_HINT_DEFAULT_MASK
#define LADSPA_HINT_DEFAULT_MASK
Definition ladspa.h:258

Definition at line 328 of file ladspa.h.

## LADSPA_IS_HINT_DEFAULT_1

#define LADSPA_IS_HINT_DEFAULT_1 | ( |  | x | ) |

Value:
(((x) & LADSPA_HINT_DEFAULT_MASK) \
== LADSPA_HINT_DEFAULT_1)
LADSPA_HINT_DEFAULT_1
#define LADSPA_HINT_DEFAULT_1
Definition ladspa.h:300

Definition at line 330 of file ladspa.h.

## LADSPA_IS_HINT_DEFAULT_100

#define LADSPA_IS_HINT_DEFAULT_100 | ( |  | x | ) |

Value:
(((x) & LADSPA_HINT_DEFAULT_MASK) \
== LADSPA_HINT_DEFAULT_100)
LADSPA_HINT_DEFAULT_100
#define LADSPA_HINT_DEFAULT_100
Definition ladspa.h:303

Definition at line 332 of file ladspa.h.

## LADSPA_IS_HINT_DEFAULT_440

#define LADSPA_IS_HINT_DEFAULT_440 | ( |  | x | ) |

Value:
(((x) & LADSPA_HINT_DEFAULT_MASK) \
== LADSPA_HINT_DEFAULT_440)
LADSPA_HINT_DEFAULT_440
#define LADSPA_HINT_DEFAULT_440
Definition ladspa.h:308

Definition at line 334 of file ladspa.h.

## LADSPA_IS_HINT_DEFAULT_HIGH

#define LADSPA_IS_HINT_DEFAULT_HIGH | ( |  | x | ) |

Value:
(((x) & LADSPA_HINT_DEFAULT_MASK) \
== LADSPA_HINT_DEFAULT_HIGH)
LADSPA_HINT_DEFAULT_HIGH
#define LADSPA_HINT_DEFAULT_HIGH
Definition ladspa.h:286

Definition at line 324 of file ladspa.h.

## LADSPA_IS_HINT_DEFAULT_LOW

#define LADSPA_IS_HINT_DEFAULT_LOW | ( |  | x | ) |

Value:
(((x) & LADSPA_HINT_DEFAULT_MASK) \
== LADSPA_HINT_DEFAULT_LOW)
LADSPA_HINT_DEFAULT_LOW
#define LADSPA_HINT_DEFAULT_LOW
Definition ladspa.h:272

Definition at line 320 of file ladspa.h.

## LADSPA_IS_HINT_DEFAULT_MAXIMUM

#define LADSPA_IS_HINT_DEFAULT_MAXIMUM | ( |  | x | ) |

Value:
(((x) & LADSPA_HINT_DEFAULT_MASK) \
== LADSPA_HINT_DEFAULT_MAXIMUM)
LADSPA_HINT_DEFAULT_MAXIMUM
#define LADSPA_HINT_DEFAULT_MAXIMUM
Definition ladspa.h:290

Definition at line 326 of file ladspa.h.

## LADSPA_IS_HINT_DEFAULT_MIDDLE

#define LADSPA_IS_HINT_DEFAULT_MIDDLE | ( |  | x | ) |

Value:
(((x) & LADSPA_HINT_DEFAULT_MASK) \
== LADSPA_HINT_DEFAULT_MIDDLE)
LADSPA_HINT_DEFAULT_MIDDLE
#define LADSPA_HINT_DEFAULT_MIDDLE
Definition ladspa.h:279

Definition at line 322 of file ladspa.h.

## LADSPA_IS_HINT_DEFAULT_MINIMUM

#define LADSPA_IS_HINT_DEFAULT_MINIMUM | ( |  | x | ) |

Value:
(((x) & LADSPA_HINT_DEFAULT_MASK) \
== LADSPA_HINT_DEFAULT_MINIMUM)
LADSPA_HINT_DEFAULT_MINIMUM
#define LADSPA_HINT_DEFAULT_MINIMUM
Definition ladspa.h:265

Definition at line 318 of file ladspa.h.

## LADSPA_IS_HINT_HAS_DEFAULT

#define LADSPA_IS_HINT_HAS_DEFAULT | ( |  | x | ) |

Value:
((x) & LADSPA_HINT_DEFAULT_MASK)

Definition at line 317 of file ladspa.h.

## LADSPA_IS_HINT_INTEGER

#define LADSPA_IS_HINT_INTEGER | ( |  | x | ) |

Value:
((x) & LADSPA_HINT_INTEGER)
LADSPA_HINT_INTEGER
#define LADSPA_HINT_INTEGER
Definition ladspa.h:245

Definition at line 315 of file ladspa.h.

## LADSPA_IS_HINT_LOGARITHMIC

#define LADSPA_IS_HINT_LOGARITHMIC | ( |  | x | ) |

Value:
((x) & LADSPA_HINT_LOGARITHMIC)
LADSPA_HINT_LOGARITHMIC
#define LADSPA_HINT_LOGARITHMIC
Definition ladspa.h:237

Definition at line 314 of file ladspa.h.

## LADSPA_IS_HINT_SAMPLE_RATE

#define LADSPA_IS_HINT_SAMPLE_RATE | ( |  | x | ) |

Value:
((x) & LADSPA_HINT_SAMPLE_RATE)
LADSPA_HINT_SAMPLE_RATE
#define LADSPA_HINT_SAMPLE_RATE
Definition ladspa.h:232

Definition at line 313 of file ladspa.h.

## LADSPA_IS_HINT_TOGGLED

#define LADSPA_IS_HINT_TOGGLED | ( |  | x | ) |

Value:
((x) & LADSPA_HINT_TOGGLED)
LADSPA_HINT_TOGGLED
#define LADSPA_HINT_TOGGLED
Definition ladspa.h:224

Definition at line 312 of file ladspa.h.

## LADSPA_IS_INPLACE_BROKEN

#define LADSPA_IS_INPLACE_BROKEN | ( |  | x | ) |

Value:
((x) & LADSPA_PROPERTY_INPLACE_BROKEN)
LADSPA_PROPERTY_INPLACE_BROKEN
#define LADSPA_PROPERTY_INPLACE_BROKEN
Definition ladspa.h:106

Definition at line 135 of file ladspa.h.

## LADSPA_IS_PORT_AUDIO

#define LADSPA_IS_PORT_AUDIO | ( |  | x | ) |

Value:
((x) & LADSPA_PORT_AUDIO)
LADSPA_PORT_AUDIO
#define LADSPA_PORT_AUDIO
Definition ladspa.h:166

Definition at line 171 of file ladspa.h.

## LADSPA_IS_PORT_CONTROL

#define LADSPA_IS_PORT_CONTROL | ( |  | x | ) |

Value:
((x) & LADSPA_PORT_CONTROL)
LADSPA_PORT_CONTROL
#define LADSPA_PORT_CONTROL
Definition ladspa.h:162

Definition at line 170 of file ladspa.h.

## LADSPA_IS_PORT_INPUT

#define LADSPA_IS_PORT_INPUT | ( |  | x | ) |

Value:
((x) & LADSPA_PORT_INPUT)
LADSPA_PORT_INPUT
#define LADSPA_PORT_INPUT
Definition ladspa.h:155

Definition at line 168 of file ladspa.h.

## LADSPA_IS_PORT_OUTPUT

#define LADSPA_IS_PORT_OUTPUT | ( |  | x | ) |

Value:
((x) & LADSPA_PORT_OUTPUT)
LADSPA_PORT_OUTPUT
#define LADSPA_PORT_OUTPUT
Definition ladspa.h:158

Definition at line 169 of file ladspa.h.

## LADSPA_IS_REALTIME

#define LADSPA_IS_REALTIME | ( |  | x | ) |

Value:
((x) & LADSPA_PROPERTY_REALTIME)
LADSPA_PROPERTY_REALTIME
#define LADSPA_PROPERTY_REALTIME
Definition ladspa.h:99

Definition at line 134 of file ladspa.h.

## LADSPA_PORT_AUDIO

#define LADSPA_PORT_AUDIO 0x8

Definition at line 166 of file ladspa.h.

## LADSPA_PORT_CONTROL

#define LADSPA_PORT_CONTROL 0x4

Definition at line 162 of file ladspa.h.

## LADSPA_PORT_INPUT

#define LADSPA_PORT_INPUT 0x1

Definition at line 155 of file ladspa.h.

## LADSPA_PORT_OUTPUT

#define LADSPA_PORT_OUTPUT 0x2

Definition at line 158 of file ladspa.h.

## LADSPA_PROPERTY_HARD_RT_CAPABLE

#define LADSPA_PROPERTY_HARD_RT_CAPABLE 0x4

Definition at line 132 of file ladspa.h.

## LADSPA_PROPERTY_INPLACE_BROKEN

#define LADSPA_PROPERTY_INPLACE_BROKEN 0x2

Definition at line 106 of file ladspa.h.

## LADSPA_PROPERTY_REALTIME

#define LADSPA_PROPERTY_REALTIME 0x1

Definition at line 99 of file ladspa.h.

## LADSPA_VERSION

#define LADSPA_VERSION "1.1"

Definition at line 25 of file ladspa.h.

## LADSPA_VERSION_MAJOR

#define LADSPA_VERSION_MAJOR 1

Definition at line 26 of file ladspa.h.

## LADSPA_VERSION_MINOR

#define LADSPA_VERSION_MINOR 1

Definition at line 27 of file ladspa.h.

## Typedef Documentation

## LADSPA_Data

typedef float LADSPA_Data

Definition at line 84 of file ladspa.h.

## LADSPA_Descriptor

typedef struct _LADSPA_Descriptor LADSPA_Descriptor

## LADSPA_Descriptor_Function

typedef const LADSPA_Descriptor *(* LADSPA_Descriptor_Function) (unsigned long Index)

Definition at line 592 of file ladspa.h.

## LADSPA_Handle

typedef void* LADSPA_Handle

Definition at line 363 of file ladspa.h.

## LADSPA_PortDescriptor

typedef int LADSPA_PortDescriptor

Definition at line 152 of file ladspa.h.

## LADSPA_PortRangeHint

typedef struct _LADSPA_PortRangeHint LADSPA_PortRangeHint

## LADSPA_PortRangeHintDescriptor

typedef int LADSPA_PortRangeHintDescriptor

Definition at line 200 of file ladspa.h.

## LADSPA_Properties

typedef int LADSPA_Properties

Definition at line 94 of file ladspa.h.

## Function Documentation

## ladspa_descriptor()

const LADSPA_Descriptor * ladspa_descriptor | ( | unsigned long | Index | ) |